image: docker:20.10.16

variables:
  REGISTRY_PATH: registry.gitlab.com/microarch-ru/ddd-in-practice/microservices/generic/geo

services:
  - docker:20.10.16-dind

stages:
  - build

# Собираем Docker Image и помещаем в Gitlab Registry (хранилище артефактов)
docker-build:
  stage: build
  except:
    refs:
      - tags 
  before_script:
    - docker login $REGISTRY_PATH -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD
  script:
    - docker build -t $REGISTRY_PATH:latest .
    - docker push $REGISTRY_PATH:latest